Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agentId
string<uuid>
required
versionId
string<uuid>
required

Body

application/json
summary
string
Required string length: 1 - 500
expectedLiveVersionId
string<uuid>

The live version when you decided to restore. When sent, the restore is refused with 409 if another version went live since.

Response

The new live version.

data
object
required

One version of a Roark-hosted agent's configuration. Null settings use the runtime default.